# Conversations API

Bird's Conversations API allows you to manage messages exchanged between two or more participants in a centralized manner. Imagine one of your contacts starts a customer service chat by interacting with a flow and eventually gets transferred to a human agent, the concept of a conversation helps keep track of the history of messages so you have a full context of the contact's interactions throughout their journey.

Keep in mind using the Conversations API is not strictly necessary to send and receive messages. If you'd like to send and receive messages in a simplified manner, please refer to the [Channels messaging API](/api/channels-api/api-reference/messaging.md).

### API Access, Authorizations and Usage

For detailed instructions on obtaining access, please refer to the [API Access section](/api/api-access.md). There, you'll find guidance on acquiring access tokens and the base URL required for subsequent requests. If you already finished setting your access, please refer to subsection [Common API usage](/api/api-access/common-api-usage.md) to understand how to send requests to Bird and how to work with our responses.

{% content-ref url="/pages/uCii6VVR1TNC80VLba7x" %}
[API reference](/api/conversations-api/api-reference.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/conversations-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
